Package Details: xmake 2.5.8-1

Git Clone URL: https://aur.archlinux.org/xmake.git (read-only, click to copy)
Package Base: xmake
Description: A cross-platform build utility based on Lua
Upstream URL: https://github.com/xmake-io/xmake
Keywords: buildtool cross-platform lua make
Licenses: Apache
Submitter: waruqi
Maintainer: waruqi
Last Packager: waruqi
Votes: 14
Popularity: 0.154216
First Submitted: 2017-03-08 03:49
Last Updated: 2021-10-08 23:56

Latest Comments

1 2 Next › Last »

alerque commented on 2021-07-26 12:15

That's better, and should fix upgrades for @rokku and others.

waruqi commented on 2021-07-26 11:32

@alerque I fixed filename, try it again.

alerque commented on 2021-07-26 11:12

@waruqi The upstream filename is unique but you are overriding the local filename it is saved to with $pkgname.tar.gz:: prefixed to the source URL. Just delete that bit entirely, it is really only useful for when upstream's don't have unique filenames per version and you need to save it locally with a version. You're currently doing the opposite of what it is for. Just drop that bit entirly and list the upstream URL:

source=("$url/releases/download/v$pkgver/xmake-v$pkgver.tar.gz")

waruqi commented on 2021-07-26 11:09

Why is there no unique file name? Isn't the file name different for each version? xmake-v2.5.5.tar.gz, xmake-v2.5.6.tar.gz. .

@alerque

alerque commented on 2021-07-26 10:55

This package build is broken for most people trying to upgrade because you don't have unique file names for each version of the download. Please fix the source line to include $pkgver in the download name ... or better yet just stop overriding the filename at all. The default one is just fine as it includes the name and version.

Note this is why @rokku below is having trouble too.

waruqi commented on 2021-07-26 02:21

I have fixed permissions issue, but need to wait for the next release version.

waruqi commented on 2021-05-22 13:00

sha256sum is correct, and it works for me.

rokku commented on 2021-05-22 01:48

Everytime I want to update it, it fails due to erroneous sha256sums.

Geequlim commented on 2017-04-14 11:16

看似是一个可以取代premake和scons的好工具

lumpyzhu commented on 2017-03-09 01:57

good job.